function loglirat = compute_loglirat(data,model1,model2) 

disp('Computing log likelihood ratios ...');
% computes unigram probabilitities for development data with both models
logprob_pos = zeros(length(data),1); 
logprob_neg = zeros(length(data),1); 
for k=1:length(data) % loops over documents in the development set
    for n=1:length(data(k).token) % loops over words in each document
        token = data(k).token{n}; % gets the word   
        % computes probabilities for positive model 
        idx = find(strcmp(model1.vocab,token));
        if isempty(idx), c1 = model1.unk_prob; 
        else, c1 = model1.prob(idx); end;
        logprob_pos(k) = logprob_pos(k) + log2(c1);
        % computes probabilities for negative model 
        idx = find(strcmp(model2.vocab,token));
        if isempty(idx), c1 = model2.unk_prob; 
        else, c1 = model2.prob(idx); end;
        logprob_neg(k) = logprob_neg(k) + log2(c1);
    end;
end; 

loglirat = logprob_pos-logprob_neg;
return
